Model.new(:mysql, 'MySQL Binary Backup') do
  database MySQL do |db|
    db.backup_engine      = :innobackupex
    db.name               = "<%= @database_name %>"
    db.username           = "<%= @database_user %>"
    db.password           = "<%= @database_password %>"
    # db.host               = "localhost"
    # db.port               = 3306
    # supplying a `socket` negates `host` and `port`
    db.socket             = "<%= @socket %>"
    # specifying `sudo_user` will run the backup utility on behalf of that Unix user (instead of current one)
    # db.sudo_user          = "root"
    # Connection parameters and additional_options work the
    # same as above (only `skip_tables`/`only_tables` are not
    # supported)
    # db.prepare_options    = ["--use-memory=4G"]
    db.verbose            = false
  end

  store_with Local do |local|
    local.path = '<%= @data_path %>'
    # Use a number or a Time object to specify how many backups to keep.
    local.keep = <%= @keep_number %>
  end
end
